#
# spec file for package xzgv
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xzgv
BuildRequires:  gtk2-devel
BuildRequires:  libexif-devel
BuildRequires:  update-desktop-files
%if 0%{suse_version} > 1220
BuildRequires:  makeinfo
%endif
Url:            http://sourceforge.net/projects/xzgv
Version:        0.9.1
Release:        32.2
Summary:        A Fast Picture Viewer for the X Window System
License:        GPL-2.0+
Group:          Productivity/Graphics/Viewers
Source:         %{name}-%{version}.tar.bz2
Source1:        %name.desktop
PreReq:         %install_info_prereq
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Patch:          xzgv-0.9.1-as-needed.patch
Patch1:         xzgv-0.9.1-exif-orient.patch
Patch2:         xzgv-0.9.1-iconify.patch

%description
Xzgv is a picture viewer for the X Window System with a thumbnail-based
file selector. It uses GTK+ and Imlib. Most file formats are supported,
and the thumbnails used are compatible with xv, zgv, and the Gimp. It
can also be used with `xzgv file(s)', to effectively bypass the file
selector. For more on how xzgv works and how to use it, do `info xzgv'
or `man xzgv' once it is installed.

%prep
%setup -q
%patch
%patch1
%patch2

%build
sed -e "s/^CFLAGS=.*/CFLAGS=$RPM_OPT_FLAGS/;" < config.mk > config.mk.tmp
mv config.mk.tmp config.mk
make PREFIX=/usr
# Make all doesn't build the info, but we need it for make install
# (fail the build when this is fixed)
test ! -f doc/xzgv.info.gz
make info PREFIX=/usr

%install
rm -rf $RPM_BUILD_ROOT
make PREFIX=$RPM_BUILD_ROOT/usr install
%suse_update_desktop_file -i %name Graphics Viewer
# Fix permission (fail the build when this is fixed)
test -x %{buildroot}%{_mandir}/man1/xzgv.1
chmod a-x %{buildroot}%{_mandir}/man1/xzgv.1

%post
%install_info --info-dir=%{_infodir} %{_infodir}/xzgv.info.gz

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/xzgv.info.gz

%files
%defattr(-,root,root)
%doc README AUTHORS COPYING NEWS TODO
%{_bindir}/xzgv
%{_datadir}/applications/xzgv.desktop
%doc %{_mandir}/man1/xzgv.1.gz
%doc %{_infodir}/xzgv.info.gz

%changelog
* Fri Sep  7 2012 coolo@suse.com
- add explicit buildrequire makeinfo
* Mon Sep 12 2011 jreuter@novell.com
- Add missing -lm to linker flags
* Tue Aug 30 2011 crrodriguez@opensuse.org
- Fix build with new linker defaults
* Thu Aug 25 2011 jreuter@novell.com
- use gtk_window_iconify() instead of Xlib call
* Mon Apr 18 2011 jreuter@novell.com
- re-implementing --exif-orient by adding libexif support (bnc#150534)
* Thu Feb 18 2010 crrodriguez@opensuse.org
- fix build with as-needed
* Mon Dec 28 2009 vuntz@opensuse.org
- Update to version 0.9.1:
  + xzgv now uses GTK 2.
  + Gamma, brightness and contrast control are not currently
    supported.
- Change gtk-devel BuildRequires to gtk2-devel.
- Remove gcc-c++, imlib-devel, libpng-devel, libtiff-devel,
  xorg-x11 BuildRequires.
- Drop xzgv.diff: not needed anymore. Just set PREFIX when calling
  make.
- Drop xzgv-mmx.diff: not needed anymore, no code using MMX is
  there.
- Drop xzgv-secfix.diff: not needed anymore, gdk-pixbuf is used.
- Drop xzgv-fixgcc4.diff: not needed anymore.
- Drop xzgv-jpegdetect.diff: not needed anymore, gdk-pixbuf is
  used.
- Drop xzgv-cmyk-ycc-fix.diff: not needed anymore, gdk-pixbuf is
  used.
- Drop xzgv-build.diff: not needed anymore.
- Use SUSE_ASNEEDED=0.
- Add post/postun for info.
* Fri Apr 20 2007 aj@suse.de
- Cleanup build requirements.
- Use RPM_OPT_FLAGS everywhere.
* Mon Mar 27 2006 jreuter@suse.de
- fix CVE-2006-1060: JPEG CMYK/YCCK heap overflow (#159699)
* Tue Feb 14 2006 jreuter@suse.de
- fix broken JPEG detection introduced with fixes for gcc4 (#150534)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jul  1 2005 jreuter@suse.de
- fix gcc4 warnings and missing includes of <string.h>
* Tue Nov  9 2004 jreuter@suse.de
- fix integer multiplication overflows (#47677)
* Sat Jan 10 2004 adrian@suse.de
- build as user
* Thu Sep 25 2003 jreuter@suse.de
- update to version 0.8
* Fri Aug 15 2003 adrian@suse.de
- add desktop file
* Thu May 15 2003 coolo@suse.de
- use BuildRoot
* Wed Dec  4 2002 ro@suse.de
- fix multiline string problem for gcc-3.3
* Tue Aug 20 2002 ro@suse.de
- removed %%post
* Fri Jul  5 2002 kukuk@suse.de
- Use %%ix86 macro
* Thu Jan 31 2002 ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Fri Nov  2 2001 jreuter@suse.de
- upgraded to most recent version, works correctly on non-Intel
  platforms now
* Tue Nov  7 2000 jreuter@suse.de
- Initial checkin
